Bug 81362 - i18n - SOAP binding properties window has messages not from locale
i18n - SOAP binding properties window has messages not from locale
Status: RESOLVED WONTFIX
Product: xml
Classification: Unclassified
Component: WSDL Tools
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Ritesh Adval
issues@xml
: I18N
Depends on: 96214
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 15:55 UTC by sunlit
Modified: 2007-03-06 11:50 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (20.99 KB, image/gif)
2006-07-28 15:56 UTC, sunlit
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sunlit 2006-07-28 15:55:47 UTC
Netbeans 5.5 dev build 200607190830, entpack 2006/07/21

using bundled Travel Reservation:
WSDL editor - bindings - TravelReservationSoapBinding - bring up properties
window - it has messages not from localized bundled.
Please see gif attached.
Comment 1 sunlit 2006-07-28 15:56:14 UTC
Created attachment 32309 [details]
screenshot
Comment 2 Shivanand Kini 2006-09-25 23:55:41 UTC
The extensibility elements are created from the schema defined by the binding
components. Currently, the attribute names are read from the schema and the
property sheet is generated. Also enumeration defined in the schema are shown as
drop-downs.

In the image attached, the attribute names and the values shown in the drop-down
are read from the schema files.

The fix needs more design, so that this problem can be solved as generically as
possible. Considering the time required to do this, I would request for waiver
of this bug and fixed it post FCS.

And also it doesnt impact the usability of the wsdl editor, since the element
names are generic enough.

Comment 3 Ken Frank 2006-09-26 03:30:32 UTC
It was mentioned that for now these words not
in a bundle file can be considered as keywords (and thus not to be translated)

I am wondering
if they should stay that way and not be translated if they are part
of a certain spec or api, or if users are used to seeing these property
names and/or values in English and might be confused if see them
translated (if so, the tooltips could still contain translations)

or  even if they need to stay as reserved word in actual xml or other
files, can their display names in prop sheet be translated but still
be clear to user ?

We've seen this situation before with parts of other products/packs.

I'm all for things being translatable but only if it will not go against
a spec or confuse the customer.

BTW, if they are to translable, but in the code, they need to stay in english,
please make sure to not use the translated prop names/values when injecting
the info into the code, but english names.

ken.frank@sun.com
Comment 4 Shivanand Kini 2006-10-26 20:43:06 UTC
Currently we wont have a design to read them from the bundle.properties, so we
just use the name of the keyword. Probably in next release, I will change these
to make them translatable.
Comment 5 Annette Wegscheider 2007-02-13 19:14:56 UTC
Changed version to 5.5.1
Comment 6 Alexei Mokeev 2007-02-16 11:24:09 UTC
There were no objections in 48 hours. EP551_WAIVER_APPROVED
Comment 7 Ritesh Adval 2007-03-01 01:50:37 UTC
After thinking over on this, it make sense not to translate the element name and
attributes as they are representing a spec, in this case soap and user would
rather want to see what is prescribed by the spec.

We do not need to do any translation of any binding element or attribute as they
represent what is generated in code and we want to keep it that way.

localization will only confuse as what user see in code and in GUI will be
different.

Comment 8 Alexei Mokeev 2007-03-06 11:50:42 UTC
Removed EP551_WAIVER_APPROVED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo